*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    font-family: sans-serif;
    display: grid;
    grid-template-columns: minmax(auto, 1024px);
    justify-content: center;
    margin: 0 10px;
    background: hsl(178, 67%, 92%);
}

.wrapper {
    display: grid;
    gap: 20px
}

.return-button {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    margin-left: 0.5rem;
    padding-left: 0.8rem;
    background: rgb(22, 22, 22);
    border-radius: 4px;
    transition-duration: 300ms;
    width: 226px;
    box-shadow: 2px 2px black;
    font-family: sans-serif;
}

.return-button:hover {
    background: rgb(45, 45, 45);;
    transition-duration: 300ms;
}

.return-button a {
    color: white !important;
    text-decoration: none;
}

.return-button p {
    margin: 0;
    padding-top: 0.8rem;
    padding-bottom: 0.8rem;
}

nav,
footer {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 10px;
}

nav a,
footer a {
    line-height: 2;
    padding: 0 1em;
    background: lightgray;
    border: solid 2px lightgray;
    border-radius: 2px;
}

nav a:hover,
footer a:hover {
    border: solid 2px black;
}

.main :first-child,
footer :first-child {
    margin-right: auto;
}

p,
li {
    max-width: 70ch;
    line-height: 1.8;
    list-style: none;
}

.intro {
    border-radius: 2px;
    background: hsl(296, 100%, 89%);
    box-shadow: 4px 2px 2px black;
    padding-left: 0.5em;
}

a {
    text-decoration: none;
}

a:link {
    color: hsl(198, 100%, 28%);
}

a:visited {
    color: hsl(101, 100%, 21%);
}

a:hover {
    color: hsl(10, 100%, 25%);
}

label {
    margin: 1em;
    margin-bottom: 1em;
}

input[type="submit"] {
    margin-top: 1em;
}

@media screen and (min-width: 768px) {
    .wrapper {
        grid-template-columns: repeat(6, 1fr);
    }

    header,
    nav,
    footer {
        grid-column: span 6;
        flex-direction: row;
    }

    main {
        grid-column: span 4;
    }

    aside {
        grid-column: span 2;
    }
}